# eric4.QScintilla.Exporters.__init__

Package implementing exporters for various file formats.

### Global Attributes

None

### Classes

None

### Functions

getExporter | Module function to instantiate an exporter object for a given format.
getSupportedFormats | Module function to get a dictionary of supported exporters.

## getExporter

getExporter(format, editor)

Module function to instantiate an exporter object for a given format.

format
  format of the exporter (string)
editor
  reference to the editor object (QScintilla.Editor.Editor)

Returns:
  reference to the instanciated exporter object (QScintilla.Exporter.Exporter)

Up

## getSupportedFormats

getSupportedFormats()

Module function to get a dictionary of supported exporters.

Returns:
  dictionary of supported exporters. The keys are the internal format names. The items are the display strings for the exporters (QString)

Up